4Suite™ API Documentation

# ► Module Ft.Server.Server.Xslt.XPathDocumentDefinition

XSLT extension elements and functions supporting the 4SS XPathDocumentDefinition API
Copyright 2004 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: AddNsMapElement, AddRdfMapElement, RemoveNsMapElement, RemoveRdfMapElement |  |  |  | Functions: GetNsMap, GetRdfMaps |  |  |  | Fields: ExtElements, ExtFunctions, FTSERVER_NAMESPACE, OBJECT_TYPE_LITERAL, OBJECT_TYPE_RESOURCE, SCORE_NS

## Classes

class AddNsMapElement(Ft.Xml.Xslt.StylesheetTree.XsltElement)
Change the namespace mapping of this doc def.

### Methods

instantiate(self, context, processor)

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

content = <Ft.Xml.Xslt.ContentInfo.Atom instance>
Empty is the content model for childless elements
legalAttrs = {'path': <Ft.Xml.Xslt.AttributeInfo.UriReferenceAvt instance>, 'prefix': <Ft.Xml.Xslt.AttributeInfo.PrefixAvt instance>, 'uri': <Ft.Xml.Xslt.AttributeInfo.UriReferenceAvt instance>}

### Fields

class AddRdfMapElement(Ft.Xml.Xslt.StylesheetTree.XsltElement)
Change the rdf mapping of this doc def.

### Methods

instantiate(self, context, processor)

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

content = <Ft.Xml.Xslt.ContentInfo.Atom instance>
Empty is the content model for childless elements
legalAttrs = {'object': <Ft.Xml.Xslt.AttributeInfo.StringAvt instance>, 'object-is-resource': <Ft.Xml.Xslt.AttributeInfo.YesNoAvt instance>, 'path': <Ft.Xml.Xslt.AttributeInfo.UriReferenceAvt instance>, 'predicate': <Ft.Xml.Xslt.AttributeInfo.StringAvt instance>, 'subject': <Ft.Xml.Xslt.AttributeInfo.StringAvt instance>}

### Fields

class RemoveNsMapElement(Ft.Xml.Xslt.StylesheetTree.XsltElement)
Change the namespace mapping of this doc def.

### Methods

instantiate(self, context, processor)

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

content = <Ft.Xml.Xslt.ContentInfo.Atom instance>
Empty is the content model for childless elements
legalAttrs = {'path': <Ft.Xml.Xslt.AttributeInfo.UriReferenceAvt instance>, 'prefix': <Ft.Xml.Xslt.AttributeInfo.PrefixesAvt instance>}

### Fields

class RemoveRdfMapElement(Ft.Xml.Xslt.StylesheetTree.XsltElement)
Change the rdf mapping of this doc def.

### Methods

instantiate(self, context, processor)

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

content = <Ft.Xml.Xslt.ContentInfo.Atom instance>
Empty is the content model for childless elements
legalAttrs = {'object': <Ft.Xml.Xslt.AttributeInfo.StringAvt instance>, 'path': <Ft.Xml.Xslt.AttributeInfo.UriReferenceAvt instance>, 'predicate': <Ft.Xml.Xslt.AttributeInfo.StringAvt instance>, 'subject': <Ft.Xml.Xslt.AttributeInfo.StringAvt instance>}

### Fields

## Functions

GetNsMap(context, path=None)
GetRdfMaps(context, path=None)

## Fields

ExtElements = {('http://xmlns.4suite.org/4ss/score', 'add-ns-map'): <class Ft.Server.Server.Xslt.XPathDocumentDefinition.AddNsMapElement>, ('http://xmlns.4suite.org/4ss/score', 'add-rdf-map'): <class Ft.Server.Server.Xslt.XPathDocumentDefinition.AddRdfMapElement>, ('http://xmlns.4suite.org/4ss/score', 'remove-ns-map'): <class Ft.Server.Server.Xslt.XPathDocumentDefinition.RemoveNsMapElement>, ('http://xmlns.4suite.org/4ss/score', 'remove-rdf-map'): <class Ft.Server.Server.Xslt.XPathDocumentDefinition.RemoveRdfMapElement>}
ExtFunctions = {('http://xmlns.4suite.org/4ss/score', 'get-ns-map'): <function GetNsMap>, ('http://xmlns.4suite.org/4ss/score', 'get-rdf-maps'): <function GetRdfMaps>}
FTSERVER_NAMESPACE = 'http://xmlns.4suite.org/reserved'
OBJECT_TYPE_LITERAL = 'L'
OBJECT_TYPE_RESOURCE = 'R'
SCORE_NS = 'http://xmlns.4suite.org/4ss/score'